cURL
curl --request POST \
--url https://api.eka.care/abdm/v1/consents/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hiu": {
"clinic_id": "<string>",
"d_oid": "<string>"
},
"patient": {
"health_id": "<string>",
"oid": "<string>"
}
}
'import requests
url = "https://api.eka.care/abdm/v1/consents/list"
payload = {
"hiu": {
"clinic_id": "<string>",
"d_oid": "<string>"
},
"patient": {
"health_id": "<string>",
"oid": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hiu: {clinic_id: '<string>', d_oid: '<string>'},
patient: {health_id: '<string>', oid: '<string>'}
})
};
fetch('https://api.eka.care/abdm/v1/consents/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consents": [
{
"c_at": "2023-11-07T05:31:56Z",
"consent_id": "<string>",
"consent_init_id": "<string>",
"hi_types": [
"<string>"
],
"period": {
"expiry": "2023-11-07T05:31:56Z",
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"status": "<string>",
"u_at": "2023-11-07T05:31:56Z"
}
]
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}HIU
Consent list
POST
/
abdm
/
v1
/
consents
/
list
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Response
No Content
Show child attributes
Show child attributes
Was this page helpful?
⌘I

